QGIS crash on edit grass vector layer

2014-12-22 07:41 AM - pierluigi de rosa

Status: Closed

Priority: High

Assignee:

Category: GRASS

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:Yes Copied to github as #: 20116

Description

Hi QGIS crash when I edit a grass vector layer using the specific tool on the grass toolbox.

If I delete a boundary and save edits QGIS will crash.

When I reopen QGIS the vector layer require to be build again (topology build) but It seems that some geometry are missing.

Such bug appear on ubuntu 12.04 and 14.04 and on QGIS 2.4 and 2.6.

History

#1 - 2014-12-22 08:18 AM - Giovanni Manghi

the GRASS plugin is unmantained and I'm not sure what will be the policy about the issues of this component.

#2 - 2015-05-27 07:58 AM - Giovanni Manghi

- Priority changed from Normal to High

#3 - 2015-11-13 07:18 AM - Radim Blazek

- Resolution set to wontfix

- Status changed from Open to Closed

Editing was completely rewritten in 2.12.
